# Feature | tablefilter v0.5.3 API Document

    import {Feature} from 'tablefilter/src/feature.js'

public class | source

# Feature

#### Direct Subclass:

AdapterEzEditTable, AdapterSortableTable, AlternateRows, CheckList, ClearButton, ColOps, ColsVisibility, DateType, Dropdown, FiltersVisibility, GridLayout, Help, Loader, NoResults, Paging, PopupFilter, RowsCounter, State, StatusBar

Base class defining the interface of a TableFilter feature

## Constructor Summary

Public Constructor
public | constructor (tf: Object, feature: String) Creates an instance of Feature |

## Member Summary

Public Members
public | config : Object TableFilter configuration |
public | emitter : Emitter TableFilter emitter instance |
public | enabled : Boolean TableFilter feature setting |
public | feature : String Feature name |
public | initialized : Boolean Field indicating whether Feature is initialized |
public | tf : TableFilter TableFilter instance |

## Method Summary

Public Methods
public | destroy () Destroy the feature |
public | disable () Disable the feature |
public | enable () Enable the feature |
public | init () Initialize the feature |
public | isEnabled (): Boolean Indicate whether the feature is enabled or not |
public | reset () Reset the feature after being disabled |

## Public Constructors

### public constructor(tf: Object, feature: String) source

Creates an instance of Feature

#### Params:

Name | Type | Attribute | Description
tf | Object |  | TableFilter instance
feature | String |  | Feature name known by TableFilter

## Public Members

### public config: Object source

TableFilter configuration

### public emitter: Emitter source

TableFilter emitter instance

### public enabled: Boolean source

TableFilter feature setting

### public feature: String source

Feature name

### public initialized: Boolean source

Field indicating whether Feature is initialized

### public tf: TableFilter source

TableFilter instance

## Public Methods

### public destroy() source

Destroy the feature

### public disable() source

Disable the feature

### public enable() source

Enable the feature

### public init() source

Initialize the feature

### public isEnabled(): Boolean source

Indicate whether the feature is enabled or not

#### Return:

Boolean

### public reset() source

Reset the feature after being disabled